Get domain by ID
curl --request GET \
--url https://inbound.new/api/e2/domains/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://inbound.new/api/e2/domains/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://inbound.new/api/e2/domains/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"domain": "<string>",
"status": "<string>",
"canReceiveEmails": true,
"hasMxRecords": true,
"domainProvider": "<string>",
"providerConfidence": "<string>",
"lastDnsCheck": "2023-11-07T05:31:56Z",
"lastSesCheck": "2023-11-07T05:31:56Z",
"isCatchAllEnabled": true,
"catchAllEndpointId": "<string>",
"includeSubdomains": true,
"subdomainDnsRecords": [
{
"type": "<string>",
"name": "<string>",
"value": "<string>",
"isRequired": true,
"description": "<string>"
}
],
"mailFromDomain": "<string>",
"mailFromDomainStatus": "<string>",
"mailFromDomainVerifiedAt": "2023-11-07T05:31:56Z",
"receiveDmarcEmails": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"userId": "<string>",
"stats": {
"totalEmailAddresses": 123,
"activeEmailAddresses": 123,
"emailsLast24h": 123,
"emailsLast7d": 123,
"emailsLast30d": 123
},
"dnsRecords": [
{
"id": "<string>",
"domainId": "<string>",
"recordType": "<string>",
"name": "<string>",
"value": "<string>",
"isRequired": true,
"isVerified": true,
"lastChecked": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"catchAllEndpoint": {
"id": "<string>",
"name": "<string>",
"type": "<string>",
"isActive": true
},
"verificationCheck": {
"dnsRecords": [
{
"type": "<string>",
"name": "<string>",
"value": "<string>",
"isVerified": true,
"error": "<string>"
}
],
"sesStatus": "<string>",
"isFullyVerified": true,
"lastChecked": "2023-11-07T05:31:56Z",
"dkimStatus": "<string>",
"dkimVerified": true,
"dkimTokens": [
"<string>"
],
"mailFromDomain": "<string>",
"mailFromStatus": "<string>",
"mailFromVerified": true
},
"authRecommendations": {
"spf": {
"name": "<string>",
"value": "<string>",
"description": "<string>"
},
"dmarc": {
"name": "<string>",
"value": "<string>",
"description": "<string>"
}
},
"inheritsFromParent": true,
"parentDomain": "<string>",
"kind": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Domains
Get domain by ID
Get detailed information about a specific domain including DNS records. Use ?check=true for a live verification check.
GET
/
api
/
e2
/
domains
/
{id}
Get domain by ID
Authorizations
Your Inbound API key. Include it in the Authorization header as: Bearer
Path Parameters
Query Parameters
Available options:
true Response
Response for status 200
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I